# List licensees

List Licensee items in the Licensees collection.

## List licensees

> List licensees.\
> Available for Client and Operations accounts.\
> Returns a paged list of licensees; supports RQL query parameters for filtering and selection.

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5353-g6bbacdcd"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/accounts/licensees":{"get":{"tags":["Licensees"],"summary":"List licensees","description":"List licensees.\nAvailable for Client and Operations accounts.\nReturns a paged list of licensees; supports RQL query parameters for filtering and selection.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LicenseeListResponse"}}}}}}}},"components":{"schemas":{"LicenseeListResponse":{"type":"object","properties":{"$meta":{"allOf":[{"$ref":"#/components/schemas/ListMetadata"}]},"data":{"type":"array","items":{"$ref":"#/components/schemas/Licensee"}}},"additionalProperties":false},"ListMetadata":{"type":"object","properties":{"pagination":{"allOf":[{"$ref":"#/components/schemas/PaginationMetadata"}]},"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"PaginationMetadata":{"type":"object","properties":{"offset":{"type":"integer","format":"int32"},"limit":{"type":"integer","format":"int32"},"total":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"Licensee":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/LicenseeAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"externalId":{"type":"string","nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/LicenseeStatus"}],"nullable":true},"address":{"allOf":[{"$ref":"#/components/schemas/Address"}],"nullable":true},"useBuyerAddress":{"type":"boolean","nullable":true},"description":{"type":"string","nullable":true},"account":{"type":"object","allOf":[{"$ref":"#/components/schemas/AccountRef"}]},"buyer":{"type":"object","allOf":[{"$ref":"#/components/schemas/BuyerRef"}]},"seller":{"type":"object","allOf":[{"$ref":"#/components/schemas/SellerRef"}]},"eligibility":{"allOf":[{"$ref":"#/components/schemas/Eligibility"}],"nullable":true}},"additionalProperties":false},"LicenseeAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"disabled":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]}},"additionalProperties":false},"PlatformIdentityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"LicenseeStatus":{"enum":["Active","Enabled","Disabled","Deleted"],"type":"string"},"Address":{"type":"object","properties":{"addressLine1":{"type":"string","nullable":true},"addressLine2":{"type":"string","nullable":true},"postCode":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"state":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false},"AccountRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/AccountType"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/AccountStatus"}],"nullable":true}},"additionalProperties":false},"AccountType":{"enum":["Client","Vendor","Operations"],"type":"string"},"AccountStatus":{"enum":["Active","Enabled","Disabled"],"type":"string"},"BuyerRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"SellerRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"externalId":{"type":"string","nullable":true}},"additionalProperties":false},"Eligibility":{"type":"object","properties":{"client":{"type":"boolean"},"partner":{"type":"boolean"}},"additionalProperties":false}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/accounts-api/licensee/list-licensees.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
